Bug 1265778 - (CVE-2015-4519) CVE-2015-4519 Mozilla: Dragging and dropping images exposes final URL after redirects (MFSA 2015-110)
CVE-2015-4519 Mozilla: Dragging and dropping images exposes final URL after r...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150922,repor...
: Security
Depends On:
Blocks: 1261782
  Show dependency treegraph
 
Reported: 2015-09-23 13:52 EDT by Prasad J Pandit
Modified: 2015-10-01 10:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-01 10:04:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2015-09-23 13:52:28 EDT
Security researcher Mario Gomes reported that when a previously loaded image
on a page is drag and dropped into content after a redirect, the redirected
URL is available to scripts. This is a violation of the Fetch specification's
defined behavior for "Atomic HTTP redirect handling" which states that
redirected URLs are not exposed to any APIs. This can allow for information
leakage.

External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2015-110/
Comment 1 Martin Prpič 2015-09-24 08:37:48 EDT
Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Mario Gomes as the original reporter.
Comment 2 errata-xmlrpc 2015-09-24 14:40:36 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:1834 https://rhn.redhat.com/errata/RHSA-2015-1834.html
Comment 4 errata-xmlrpc 2015-10-01 09:26:29 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:1852 https://rhn.redhat.com/errata/RHSA-2015-1852.html

Note You need to log in before you can comment on or make changes to this bug.